//
//  YHYHAdopterTravelViewModel.swift
//  galaxy
//
//  Created by EDY on 2024/8/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHYHAdopterTravelViewModel: YHBaseViewModel {
    var mainModel: YHMainInformationModel = YHMainInformationModel()
    
    override init() {
        super.init()
    }
    
    func getBaseDataSource(_ isShowPrompt: Bool) -> [YHItemModel] {
        let item = YHItemModel(id: .id1, isNeed: true, title: "旅行证件类型", isUserKeyBoard: false, prompts: "请选择", message: "", type: .id, isShowPrompts: isShowPrompt, alertMessage:"请选择旅行证件类型")
        let item1 = YHItemModel(id: .id1, isNeed: true, title: "英文姓名", isUserKeyBoard: true, prompts: "请输入", message: "", isShowPrompts: isShowPrompt, alertMessage:"请输入英文姓名")
        let item2 = YHItemModel(id: .id1, isNeed: true, title: "旅行证件号码", isUserKeyBoard: true, prompts: "请输入", message: "", isShowPrompts: isShowPrompt, alertMessage:"请输入旅行证件号码")
        let item3 = YHItemModel(id: .id1, isNeed: true, title: "签发地点", isUserKeyBoard: true, prompts: "请输入", message: "", isShowPrompts: isShowPrompt, alertMessage:"请输入签发地点")
        let item4 = YHItemModel(id: .id1, isNeed: true, title: "签发日期", isUserKeyBoard: false, prompts: "请选择", message: "", type: .time, isShowPrompts: isShowPrompt, alertMessage:"请选择签发日期")
        let item5 = YHItemModel(id: .id1, isNeed: true, title: "届满日期", isUserKeyBoard: false, prompts: "请选择", message: "", type: .time, isShowPrompts: isShowPrompt, alertMessage:"请选择届满日期")
        return [item, item1, item2, item3, item4, item5]
    }
    
    func getChinaDataSource(_ isShowPrompt: Bool) -> [YHItemModel] {
        let item = YHItemModel(id: .id1, isNeed: true, title: "姓名", isUserKeyBoard: true, prompts: "请输入", message: "", type: .id, isShowPrompts: isShowPrompt, alertMessage:"请输入姓名")
        let item1 = YHItemModel(id: .id1, isNeed: true, title: "身份证号码", isUserKeyBoard: true, prompts: "请输入", message: "", isShowPrompts: isShowPrompt, alertMessage:"请输入身份证号码")
        let item2 = YHItemModel(id: .id1, isNeed: true, title: "出生日期", isUserKeyBoard: false, prompts: "请选择", message: "", type: .time, isShowPrompts: isShowPrompt, alertMessage:"请选择出生日期")
        let item3 = YHItemModel(id: .id1, isNeed: true, title: "出生地点", isUserKeyBoard: true, prompts: "请输入", message: "", isShowPrompts: isShowPrompt, alertMessage:"请输入出生地点")
        let item4 = YHItemModel(id: .id1, isNeed: true, title: "性别", isUserKeyBoard: false, prompts: "请选择", message: "", type: .sex, isShowPrompts: isShowPrompt, alertMessage:"请选择性别")
        return [item, item1, item2, item3, item4]
    }
}
